Adobe Flash Pluginak Chromium-en lan egiteari utziko dio apirilean

kromo-heartbroke-flash

 

Hura bezalaxe. Irailean dagoeneko iragarri du bai Chrome-k eta bai Chromium-ek agur esango diotela Netscape Plugin APIei (NPAPI) laguntza 2014ko amaierarako eta Pepper Plugin APIak (PPAPI) babestera dedikatuko direla. Baina orain aurrera egingo dute Linuxen kasuan. Apirilean, Chromium-ek NPAPI-ak alde batera utziko ditu (Adobe Flash Plugin barne).

Orain, zergatik hainbeste arazo Linux-en eta ez Windows edo Mac OS-en? Linux-en Chrome eta Chromium 34 (apirilerako espero da) etorriko direlako Aura, Chrome OS-en erabiltzen duten eta beste sistema eragileetara eramango duen pila grafikoa. Ez ditu jatorrizko widgetak erabiltzen, erabilgarri dagoenean azelerazio grafikoa du eta garrantzitsuena: arakatzailearen bit guztiak "marrazten" ditu ia, GTK + edo Win32 erabili beharrik gabe, eta horrek zure oinarrizko kodearen bateratze handiagoa suposatuko du. eta aukera bere interfazea plataforma anitzekoa da benetan. Horrekin, Google-k amortizatutako API asko kentzea lortzen du, NPAPIak barne.

Eta ...... zer alternatiba izango dituzte Chromium erabiltzaileek Linux-en? Bi ezer gehiago. Edo instalatu Pepper Flash Chrome-tik, horrek Chrome deskargatzea, kentzea, flasha ateratzea, / opt-en sartzea eta kroma ezabatzea suposatzen du (horretarako script bat ez ezik, dagoeneko badaude script hori paketea duten diskoak. Ubuntuk bere Software Zentroan dauka, Arch-ek AUR-n du eta Debian-ek bere contrib repos-en sartzen du ...... edo ez instalatu eta erabili HTML5 dagoena.

A, eta Firefox erabiltzen dutenentzat, horrek ez die eragingo Chromium eta bere eratorriei soilik eragiten dielako. Dagoeneko Firefox 28 edo 29rako Shumway espero da. Atzo probatu nuen luzapena deskargatzen, eta oso ondo doa baina oraindik falta da.


Artikuluaren edukia gure printzipioekin bat dator etika editoriala. Akats baten berri emateko egin klik hemen.

42 iruzkin, utzi zurea

Utzi zure iruzkina

Zure helbide elektronikoa ez da argitaratuko. Beharrezko eremuak markatuta daude *

*

*

  1. Datuen arduraduna: Miguel Ángel Gatón
  2. Datuen xedea: SPAM kontrolatzea, iruzkinen kudeaketa.
  3. Legitimazioa: Zure baimena
  4. Datuen komunikazioa: datuak ez zaizkie hirugarrenei jakinaraziko legezko betebeharrez izan ezik.
  5. Datuak biltegiratzea: Occentus Networks-ek (EB) ostatatutako datu-basea
  6. Eskubideak: Edonoiz zure informazioa mugatu, berreskuratu eta ezabatu dezakezu.

  1.   pandev92 esan zuen

    Gtk3 bertsioko Firefox laster etorriko da eta gtk2-ren araberakoa den flash erreproduzitzailea ere geldituko da.

    1.    Diazepan esan zuen
      1.    pandev92 esan zuen

        Ikusi beharko da ordurako pornografia erreproduzitzeko gai izango den ... ..: /, bestela ez diot etorkizunik ikusten.

        1.    Diazepan esan zuen

          Duela 2 egun horrelako orrialde batekin saiatu nintzen …………………… kasurik gabe, web administratzaileak ibiltaria dira (tutumpaf)

          1.    gato esan zuen

            Duela gutxi probatzen ari nintzen eta ia bere orrialdearekin bakarrik funtzionatzen du.

          2.    eliotime3000 esan zuen

            @ katua:

            Egia esan, itxaropentsua dirudi, baina hobe dut azken bertsioa itxarotea eta Chromium eta Opera Blink-ek eramatea.

          3.    gato esan zuen

            Zaila ikusten dut, etorkizunean ikusiko dugunaren arabera, nabigatzaileak Adobe tresnetatik gero eta gehiago aldenduko dira eta beren alternatibak sartuko dituzte, dagoeneko Adobe Reader-ekin gertatu da eta orain nire iritzia horietako bat desagerrarazteko garaia da. Interneteko minbiziak: Flash Player, nahiz eta Firefox-etik Chromium / Chrome-ra salto egin zuten PDF.js-ekin gertatu zen bezala, aukera ez da inoiz galtzen.

          4.    gato esan zuen

            Shumway-ri buruzko hari bat aurkitu dut Chrome-rentzat: https://github.com/mozilla/shumway/issues/834

  2.   Fedorian esan zuen

    Beno, orain QTra joan eta arrautza daukate eta GTK3 gainditu nahi dute, beraz, KDEn are okerragoa dirudi.

    Ainssss, ea egunen batean Firefox perfekziotik bereizten duen akats hori konpontzea erabakitzen duten.

    1.    Ortzadar_eulia esan zuen

      Denak ez dira KDE eta QT zaleak eta gaur egun mahaigaineko ingurune gehienak GTK-n oinarrituta daudela kontuan hartuta, logikoa iruditzen zait firefox GTK3-ra aldatzea QT-ra baino ingurune "gehienak" estaltzeko.

      1.    pandev92 esan zuen

        Horien guztien artean kde kuota egiten duten ingurune gehienak ..., bai! mahaigain gehienetan arakatzaile hori erabiliko denaren sentsazioa.

        1.    Fedorian esan zuen

          Zer esanik ez QT GTK gaietara molda daitekeela eta alderantziz ez dela gertatzen. KDEros-ek Qtcurve soilik dute, hau da, erdi adabaki bat da eta GTK2rako bakarrik funtzionatzen du. Zorionez Australis dator, hau erdi konpontzen saiatuko dela dirudi, baina barra eta menuetarako ikonoak eta ez atzeko planoak edo formak soilik ekartzen dituzten gai ugarirekin, Qtcurve-rekin ikusiko dugu nola egongo den Firefox Windows 95-en erabiliko bagenu bezala .

          Bestalde, GTK erabiltzen duzuenontzat, ez luke arazorik izan behar Firefoxek QT erabiltzea.

          1.    elav esan zuen

            Hau ... Oxygen-Gtk bikain funtzionatzen du, Gtk2 eta Gtk3-rako.

          2.    Fedorian esan zuen

            Hau da, Firefoxek oxigenoa erabiltzera behartzen nau itxura ona izatea nahi badut ...

          3.    pandev92 esan zuen

            hor dago arazoa, gai batekin bakarrik erabil daitekeela: D, qt-en gaia aldatuz gero, gtk3 oxigenoaren itxura izan beharko luke gtk3, trakets bat.

  3.   ñabardura esan zuen

    Urte erdi daramat flash erreproduzitzailerik erabiltzen, hori gabe bizitzen ohitu naiz. Modu berean, karraskaria dago.

    1.    buruko jantziak esan zuen

      Demagun ñulínux-en flashplayer-a kaka bat dela, kidea hobeto egiteko uzten ez duen Adobe delakoagatik; eta gnash kaka eta erdi bat da, baina ezin dituzu garatzaileak gainditu, Adobe-ren buruak ez baitira c-tik ateratzen ... askatu kodea. Zorionez, laster, aipatu dudan bezala, alternatibek funtzionatuko dute; hori denean, zulo bat egingo dut, sinbolikoki flashplayer bat jarriko dut eta kaka egingo dut barruan.

  4.   sieg84 esan zuen

    openSUSE-n kromoarentzako piper azkarra eskaintzen dute packman repo-n.

  5.   iruzkinlaria esan zuen

    Galdera bat daukat, ez al da gnash kromoarentzat?
    PS: Ez dut kromoik erabiltzen, 2002az geroztik edo before baino lehen fidagarria naiz mozilla / firefoxekin

    1.    Diazepan esan zuen

      Ez NPAPI plugin bat delako

  6.   Ortzadar_eulia esan zuen

    Bale, ba al dago Shumwayren artikulu bat webgune honetan? Maiz berrikusten dut eta orain arte ez dut inoiz horren berririk izan .. nahiko lasaigarria da GNASH eta HTML5 tiratzen aspalditik xD

    1.    eliotime3000 esan zuen

      Eta gorroto dut gnash. Plugin zakarra da eta Flash Player bera baino askoz ere baliabide gehiago kontsumitzen ditu.

      Dena den, lasaigarria da Shumway Firefox 29rako prest egotea.

  7.   vidagnu esan zuen

    Lotsagarria da, baina badira banku batzuk adierazleetarako, inprimaki batzuetarako eta abarretarako flash asko erabiltzen duten banku pertsonaletan eta negozioetan. Zorionez, horrek ohartaraziko zaitu eta zure guneak hobetzen hasiko da.

    Bereziki Firefox erabiltzen dut.

    Regards,
    Oscar

  8.   al_Sever esan zuen

    Pepper Flash Chromium-en erabiltzen dut aspalditik eta arazorik gabe (Arch Linux). Dena den, espero dut Flash hiltzen ari dela ...

    Bide batez, Chromium-en ez dut blogaren logotipoa ikusten, Firefox-en aldiz.

  9.   Luis esan zuen

    ondo, hala ere, beti deskargatzen dut flash erreproduzitzailea .tar.gz-n eta libflashplayer.so arakatzailearen plugin karpetara kopiatzen dut ^ _ ^ eta ona da pinguinoaren erabiltzaileek lehen saiatzea jejeje ..

    1.    Diazepan esan zuen

      hori da NPAPI plugina. Chromium-ekin funtzionatuko duen bakarra libpepperflashplayer.so da

      1.    eliotime3000 esan zuen

        Windows-erako Chrome-rekin datorren Pepper Flash plugina gorrotatzen duzuenontzat probatzea besterik ez duzu izango. Gainera, Shumway-k Chromium-era eramatea lortzen badu, litekeena da Opera Blink-era ere sartzea zailtasun handirik gabe, Opera-k Flash plugina Pepper-en Chrome-k banatzen duen bezala banatzeagatik ordaintzea ekiditeko.

  10.   eliotime3000 esan zuen

    Windows-en Chromium-en gaueko adarra erabiltzen ari naizenetik, jada nabaria zitzaidan zergatik arraio zen Youtube erreproduzitzailea flashean eta flash erreproduzitzailearekin egindako orriek ez ninduten behar bezala kargatu. Gainerako gauzetan, ez dut kexarik orriak errendatzerakoan izan ezik, Chromium (eta Chrome) komunitatearen eraikuntza beta eta adar egonkorrean zuzentuko den zerbait.

    Azken finean, Google-ren jokaldi bikaina.

  11.   Jesus B. esan zuen

    Beno, Chrome-k ubunturako erabiltzen dut, denboraldi onean Chromiun-ek arazo izugarriak eman zizkidan flash-arekin, gainera 11.2 flash-ean gelditzen ari zen bitartean, Chrome-rekin orain 12.xxxx naiz.

    Egiak harritu egiten nau nsa sartzen dudala barruan dudala begiratzera, dagoen pornoa osasuntsua da, jajajajajaja.

    Orain serio, pena da, baina aitortu behar dut flash-a gauza zaharra eta ordenagailuaren segurtasun zuloen habia dela iruditzen zaidala.

    Ea denok html5-era salto egiten dugun.

    Agur bero bat.

    1.    eliotime3000 esan zuen

      MPAA dagoeneko sartu da W3C-rekin, beraz, albiste ona da Netflix-entzat eta Silverlight bezalako pluginak erabiltzen dituzten ordaindutako streaming gune horientzat (oso gaizki Moonlight hilda dago eta Pipelight Firefox-en ondo funtzionatzen du eta Wine erabiltzera behartzen zaitu).

  12.   Zabor_Hiltzailea esan zuen

    Ai! itxaron lightspark esperimentala izateari uzteko.

    1.    Vuze esan zuen

      Zein da ona lightspark? Egia esan, flashplayerrak baliabideen kontsumo handiarekin nazkatu nau, Arch-en agurrean nagoela aldatu nahi dut.

  13.   Eskeyu esan zuen

    gracias

    **** Nola instalatu Flash plugin Chromium web arakatzailean Lubuntu 12.04 ****
    + Chromium ixten dugu irekita badago
    + Goazen get.adobe.com/es/flashplayer/ helbidera
    + Deskargatu .tar.gz pe bertsioa mahaigainera
    + Libflashplayer.so fitxategia mahai berean ateratzen dugu (gainerakoa ez da beharrezkoa)
    + Kopiatu egiten dugu
    + Gksu pcmanfm exekutatzen dugu
    + Goazen / usr / lib / chromium-browser / plugins-era
    + Fitxategia bertan itsatsi dugu
    + Irekitako leihoak ixten ditugu
    + Behin-behineko fitxategiak mahaigainetik kendu ditugu
    Done!

    Chromium ireki eta bideoak eta abar ikus ditzakegu. Flash erabiltzen dutenak.

    Fuente: http://bandaancha.eu/foros/como-instalar-plugin-flash-navegador-web-1702822

    1.    uajety esan zuen

      Orain Lubuntu (14.04 bertsioa) Firefox-ekin dator (ondo egina). Goiko urratsak baliozkoak dira. Aldatzeko gauza bakarra libflashplayer.so itsatsita dagoen karpeta da. / Usr / lib / firefox-addons / plugins-en dago (nahiz eta /home/usuario/.mozilla/firefox/numerosyletras.default/plugins webgunean ere aurki daitekeen).

  14.   Vuze esan zuen

    Shumwayrako hobekuntzak honezkero nahikoak izatea espero dut.

  15.   José esan zuen

    Chrome pepperflash debian-en instalatzeko, erabili komando hau:

    sudo apt-get install pepperflashplugin-nonfree kromoa

  16.   buruko jantziak esan zuen

    Azkenean Adobe-ren p ... flash erreproduzitzailearen alternatiba osoa dagoenean, gutako askok topa egingo dugu.
    Hau ... gehiegi irauten du

  17.   Paul esan zuen

    Eskerrik asko mila esker

  18.   Reve esan zuen

    Software libreko aukera onak emango dituztela espero dut: 3

  19.   piruleta esan zuen

    Beno, oraintxe bertan kromoa erabiltzeari utzi behar diot.

    Agurra.